Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.jdbc.oci.xa
Class PreparedStatement

    java.lang.Object
      |
      +--weblogic.jdbc.oci.xa.Statement
            |
            +--weblogic.jdbc.oci.xa.PreparedStatement

Direct Known Subclasses:
  CallableStatement

public class PreparedStatement
extends Statement
implements java.sql.PreparedStatement

Author:
  Copyright (c) 1998-2000 by BEA WebXpress, Inc. All Rights Reserved.

Method Summary
`void` | `addBatch()`
`void` | `clearParameters()`
`void` | `close()`
`boolean` | `execute()`
`java.sql.ResultSet` | `executeQuery()`
`int` | `executeUpdate()`
`java.sql.ResultSetMetaData` | `getMetaData()`
`void` | `setArray(int i, java.sql.Array x)`
`void` | `setAsciiStream(int parameterIndex, java.io.InputStream x, int length)`
`void` | `setBigDecimal(int parameterIndex, java.math.BigDecimal x)`
`void` | `setBinaryStream(int parameterIndex, java.io.InputStream x, int length)`
`void` | `setBlob(int i, java.sql.Blob x)`
`void` | `setBoolean(int parameterIndex, boolean x)`
`void` | `setByte(int parameterIndex, byte x)`
`void` | `setBytes(int parameterIndex, byte[] x)`
`void` | `setCharacterStream(int parameterIndex, java.io.Reader reader, int length)`
`void` | `setClob(int i, java.sql.Clob x)`
`void` | `setDate(int parameterIndex, java.sql.Date x)`
`void` | `setDate(int parameterIndex, java.sql.Date x, java.util.Calendar cal)`
`void` | `setDouble(int parameterIndex, double x)`
`void` | `setFloat(int parameterIndex, float x)`
`void` | `setInt(int parameterIndex, int x)`
`void` | `setLong(int parameterIndex, long x)`
`void` | `setNull(int parameterIndex, int sqlType)`
`void` | `setNull(int paramIndex, int sqlType, java.lang.String typeName)`
`void` | `setObject(int parameterIndex, java.lang.Object x)`
`void` | `setObject(int parameterIndex, java.lang.Object x, int targetSqlType)`
`void` | `setObject(int parameterIndex, java.lang.Object x, int targetSqlType, int scale)`
`void` | `setRef(int i, java.sql.Ref x)`
`void` | `setShort(int parameterIndex, short x)`
`void` | `setString(int parameterIndex, java.lang.String x)`
`void` | `setTime(int parameterIndex, java.sql.Time x)`
`void` | `setTime(int parameterIndex, java.sql.Time x, java.util.Calendar cal)`
`void` | `setTimestamp(int parameterIndex, java.sql.Timestamp x)`
`void` | `setTimestamp(int parameterIndex, java.sql.Timestamp x, java.util.Calendar cal)`
`void` | `setUnicodeStream(int parameterIndex, java.io.InputStream x, int length)`

Methods inherited from class weblogic.jdbc.oci.xa.Statement
`addBatch, cancel, clearBatch, clearWarnings, execute, execute, execute, execute, executeBatch, executeQuery, executeUpdate, executeUpdate, executeUpdate, executeUpdate, getConnection, getFetchDirection, getFetchSize, getGeneratedKeys, getMaxFieldSize, getMaxRows, getMoreResults, getMoreResults, getParameterMetaData, getQueryTimeout, getResultSet, getResultSetConcurrency, getResultSetHoldability, getResultSetType, getUpdateCount, getWarnings, setCursorName, setEscapeProcessing, setFetchDirection, setFetchSize, setMaxFieldSize, setMaxRows, setQueryTimeout, setURL`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### executeQuery

    public java.sql.ResultSet executeQuery()
                                    throws java.sql.SQLException

  Specified by:
    executeQuery in interface java.sql.PreparedStatement

### executeUpdate

    public int executeUpdate()
                      throws java.sql.SQLException

  Specified by:
    executeUpdate in interface java.sql.PreparedStatement

### setNull

    public void setNull(int parameterIndex,
                        int sqlType)
                 throws java.sql.SQLException

  Specified by:
    setNull in interface java.sql.PreparedStatement

### setBoolean

    public void setBoolean(int parameterIndex,
                           boolean x)
                    throws java.sql.SQLException

  Specified by:
    setBoolean in interface java.sql.PreparedStatement

### setByte

    public void setByte(int parameterIndex,
                        byte x)
                 throws java.sql.SQLException

  Specified by:
    setByte in interface java.sql.PreparedStatement

### setShort

    public void setShort(int parameterIndex,
                         short x)
                  throws java.sql.SQLException

  Specified by:
    setShort in interface java.sql.PreparedStatement

### setInt

    public void setInt(int parameterIndex,
                       int x)
                throws java.sql.SQLException

  Specified by:
    setInt in interface java.sql.PreparedStatement

### setLong

    public void setLong(int parameterIndex,
                        long x)
                 throws java.sql.SQLException

  Specified by:
    setLong in interface java.sql.PreparedStatement

### setFloat

    public void setFloat(int parameterIndex,
                         float x)
                  throws java.sql.SQLException

  Specified by:
    setFloat in interface java.sql.PreparedStatement

### setDouble

    public void setDouble(int parameterIndex,
                          double x)
                   throws java.sql.SQLException

  Specified by:
    setDouble in interface java.sql.PreparedStatement

### setBigDecimal

    public void setBigDecimal(int parameterIndex,
                              java.math.BigDecimal x)
                       throws java.sql.SQLException

  Specified by:
    setBigDecimal in interface java.sql.PreparedStatement

### setString

    public void setString(int parameterIndex,
                          java.lang.String x)
                   throws java.sql.SQLException

  Specified by:
    setString in interface java.sql.PreparedStatement

### setBytes

    public void setBytes(int parameterIndex,
                         byte[] x)
                  throws java.sql.SQLException

  Specified by:
    setBytes in interface java.sql.PreparedStatement

### setDate

    public void setDate(int parameterIndex,
                        java.sql.Date x)
                 throws java.sql.SQLException

  Specified by:
    setDate in interface java.sql.PreparedStatement

### setTime

    public void setTime(int parameterIndex,
                        java.sql.Time x)
                 throws java.sql.SQLException

  Specified by:
    setTime in interface java.sql.PreparedStatement

### setTimestamp

    public void setTimestamp(int parameterIndex,
                             java.sql.Timestamp x)
                      throws java.sql.SQLException

  Specified by:
    setTimestamp in interface java.sql.PreparedStatement

### setAsciiStream

    public void setAsciiStream(int parameterIndex,
                               java.io.InputStream x,
                               int length)
                        throws java.sql.SQLException

  Specified by:
    setAsciiStream in interface java.sql.PreparedStatement

### setBinaryStream

    public void setBinaryStream(int parameterIndex,
                                java.io.InputStream x,
                                int length)
                         throws java.sql.SQLException

  Specified by:
    setBinaryStream in interface java.sql.PreparedStatement

### clearParameters

    public void clearParameters()
                         throws java.sql.SQLException

  Specified by:
    clearParameters in interface java.sql.PreparedStatement

### setObject

    public void setObject(int parameterIndex,
                          java.lang.Object x,
                          int targetSqlType,
                          int scale)
                   throws java.sql.SQLException

  Specified by:
    setObject in interface java.sql.PreparedStatement

### setObject

    public void setObject(int parameterIndex,
                          java.lang.Object x,
                          int targetSqlType)
                   throws java.sql.SQLException

  Specified by:
    setObject in interface java.sql.PreparedStatement

### setObject

    public void setObject(int parameterIndex,
                          java.lang.Object x)
                   throws java.sql.SQLException

  Specified by:
    setObject in interface java.sql.PreparedStatement

### execute

    public boolean execute()
                    throws java.sql.SQLException

  Specified by:
    execute in interface java.sql.PreparedStatement

### setUnicodeStream

    public void setUnicodeStream(int parameterIndex,
                                 java.io.InputStream x,
                                 int length)
                          throws java.sql.SQLException

  Specified by:
    setUnicodeStream in interface java.sql.PreparedStatement

### close

    public void close()
               throws java.sql.SQLException

  Overrides:
    close in class Statement

### getMetaData

    public java.sql.ResultSetMetaData getMetaData()
                                           throws java.sql.SQLException

  Specified by:
    getMetaData in interface java.sql.PreparedStatement

### setNull

    public void setNull(int paramIndex,
                        int sqlType,
                        java.lang.String typeName)
                 throws java.sql.SQLException

  Specified by:
    setNull in interface java.sql.PreparedStatement

### setDate

    public void setDate(int parameterIndex,
                        java.sql.Date x,
                        java.util.Calendar cal)
                 throws java.sql.SQLException

  Specified by:
    setDate in interface java.sql.PreparedStatement

### setTime

    public void setTime(int parameterIndex,
                        java.sql.Time x,
                        java.util.Calendar cal)
                 throws java.sql.SQLException

  Specified by:
    setTime in interface java.sql.PreparedStatement

### setTimestamp

    public void setTimestamp(int parameterIndex,
                             java.sql.Timestamp x,
                             java.util.Calendar cal)
                      throws java.sql.SQLException

  Specified by:
    setTimestamp in interface java.sql.PreparedStatement

### setCharacterStream

    public void setCharacterStream(int parameterIndex,
                                   java.io.Reader reader,
                                   int length)
                            throws java.sql.SQLException

  Specified by:
    setCharacterStream in interface java.sql.PreparedStatement

### setRef

    public void setRef(int i,
                       java.sql.Ref x)
                throws java.sql.SQLException

  Specified by:
    setRef in interface java.sql.PreparedStatement

### setBlob

    public void setBlob(int i,
                        java.sql.Blob x)
                 throws java.sql.SQLException

  Specified by:
    setBlob in interface java.sql.PreparedStatement

### setClob

    public void setClob(int i,
                        java.sql.Clob x)
                 throws java.sql.SQLException

  Specified by:
    setClob in interface java.sql.PreparedStatement

### setArray

    public void setArray(int i,
                         java.sql.Array x)
                  throws java.sql.SQLException

  Specified by:
    setArray in interface java.sql.PreparedStatement

### addBatch

    public void addBatch()
                  throws java.sql.SQLException

  Specified by:
    addBatch in interface java.sql.PreparedStatement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference